Subject: Re: [RFC PATCH] notes: add prepend command

From: Taylor Blau <[email-masked]>
Date: Wed, 23 Oct 2024 16:20:20 -0400

On Wed, Oct 23, 2024 at 10:14:24PM +0200, Bence Ferdinandy wrote:
> When a note is detailing commit history, it makes sense to keep the
> latest change on top, but unlike adding things at the bottom with
> "git notes append" this can only be done manually. Add a
>
>     git notes prepend
>
> command, which works exactly like the append command, except that it
> inserts the text before the current contents of the note instead of
> after.

Hmmm. I am not sure that I see the widespread need for such a tool. If
this is specific to your use-case, I think a custom script and
`$GIT_EDITOR` would do the trick.

Thanks,
Taylor